Name:          fc-solve
Version:       5.22.1
Release:       1mamba
Summary:       A C library for automatically solving Freecell and some other variants of card Solitaire
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://fc-solve.shlomifish.org
## GITSOURCE https://github.com/shlomif/fc-solve.git freecell-solver-5.22.1
Source:        https://github.com/shlomif/fc-solve.git/freecell-solver-%{version}/fc-solve-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgperftools-devel
## AUTOBUILDREQ-END
BuildRequires: python-random2-py3
BuildRequires: python-pysol_cards-py3
BuildRequires: python-freecell_solver-py3
BuildRequires: perl-Template-Toolkit
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Freecell Solver is a C library for automatically solving Freecell and some other variants of card Solitaire.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
cd fc-solve/source/
%cmake -d build \
   -DFCS_WITH_TEST_SUITE=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd fc-solve/source/
touch fc-solve.6
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/dbm-fc-solver
%{_bindir}/depth-dbm-fc-solver
%{_bindir}/fc-solve
%{_bindir}/fc_solve_find_index_s2ints.py
%{_bindir}/find-freecell-deal-index.py
%{_bindir}/freecell-solver-fc-pro-range-solve
%{_bindir}/freecell-solver-multi-thread-solve
%{_bindir}/freecell-solver-range-parallel-solve
%{_bindir}/gen-multiple-pysol-layouts
%{_bindir}/make_pysol_freecell_board.py
%{_bindir}/pi-make-microsoft-freecell-board
%{_bindir}/transpose-freecell-board.py
%{_mandir}/man6/dbm-fc-solver.6*
%{_mandir}/man6/fc-solve-board_gen.6*
%{_mandir}/man6/fc-solve.6*
%{_mandir}/man6/freecell-solver-range-parallel-solve.6*
%{_mandir}/man6/gen-multiple-pysol-layouts.6*
%{_mandir}/man6/make_pysol_freecell_board.py.6*
%{_mandir}/man6/pi-make-microsoft-freecell-board.6*
%{_mandir}/man6/transpose-freecell-board.py.6*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfreecell-solver.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/freecell-solver
%{_includedir}/freecell-solver/*.h
%{_libdir}/libfreecell-solver.a
%{_libdir}/libfreecell-solver.so
%{_libdir}/pkgconfig/libfreecell-solver.pc
%dir %{_datadir}/doc/freecell-solver
%{_datadir}/doc/freecell-solver/*
%dir %{_datadir}/freecell-solver
%{_datadir}/freecell-solver/presetrc
%dir %{_datadir}/freecell-solver/presets
%{_datadir}/freecell-solver/presets/*.sh
%doc README.md

%changelog
* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.22.1-1mamba
- package created using the webbuild interface
